Установка Anjuta Нужен GTK+2

Автор: ekkl Дата: 06.06.2009 23:15 Наверное беда из-за того, что я вначале по глупости не поставил гнома (Только КДЕ и XfcE)
Пробую (подбираю) удобный текстовый редактор для ПХП. Решил попробовать Анюту.
Скачал 2.3.4 версию (помладше, потому что новая требует кучу пакетов, который у меня нет)
Этоа версия выводит (при configure) что ей нужен GTK+2 Устангвил я его с диструбтива (gtk2-2.10.14-3.0.120asp.i386.rpm) Поставилось нормально. При попытке установить анюту, она снова выдает сообщение что ей нужно GTK+2 Что я не так делаю?
Re: Установка Anjuta Нужен GTK+2 06.06.2009 23:18msv2 Попробуйте установить эту Anjuta через рпм - это покажет какие пакеты конкретно нужны для этой проги. Причем покажет достаточно точно. Вот и найдете потом такой ГТК+ и установите.
Re: Установка Anjuta Нужен GTK+2 06.06.2009 23:21BigAndy ekkl Пишет:

> выдает сообщение что ей нужно GTK+2 Что я не так
> делаю?
Как ни странно то, о чем говорит ./configure - Не установили gtk+.
Re: Установка Anjuta Нужен GTK+2 07.06.2009 00:10lkanter yum install anjuta
если хотите собирать руками - кроме gtk2 нужно поставить еще и gtk2-devel
Re: Установка Anjuta Нужен GTK+2 07.06.2009 00:43ekkl BigAndy Пишет:
-------------------------------------------------------
> Как ни странно то, о чем говорит ./configure - Не
> установили gtk+.
ekkl пишет:
Устангвил я его с диструбтива (gtk2-2.10.14-3.0.120asp.i386.rpm) Поставилось нормально


Yum пока пользоваться не могу, так как нет подключения к нету. А делать репозиторий на диск, думаю, нет смысла.
Re: Установка Anjuta Нужен GTK+2 07.06.2009 00:43ekkl BigAndy Пишет:
-------------------------------------------------------
> Как ни странно то, о чем говорит ./configure - Не
> установили gtk+.
ekkl пишет:
Устангвил я его с диструбтива (gtk2-2.10.14-3.0.120asp.i386.rpm) Поставилось нормально


Yum пока пользоваться не могу, так как нет подключения к нету. А делать репозиторий на диск, думаю, нет смысла.
Цитата:
если хотите собирать руками - кроме gtk2 нужно поставить еще и gtk2-devel

Попробую поставить.
Re: Установка Anjuta Нужен GTK+2 08.06.2009 00:20ekkl Переставил систему полностью. Поставил также гнома.
Пробую установить РПМ пакет. Требует libgbf**** libgdl*****
И такое. После переустановки не могу найти KPackage/
Не могу найти этогог файла? С чем он ставиться
KDE тоже ставил и XFCE тоже.
Re: Установка Anjuta Нужен GTK+2 08.06.2009 07:14BigAndy медленно изучаем yum на предмет опции provide
Re: Установка Anjuta Нужен GTK+2 08.06.2009 11:05lkanter
Цитата:
[root@localhost ~]# yum --enablerepo=fedora --enablerepo=updates-newkey install anjuta
Loaded plugins: refresh-packagekit
fedora | 2.4 kB 00:00
updates-newkey | 3.0 kB 00:00
updates-newkey/primary_db | 4.4 MB 01:10
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package anjuta.i386 1:2.4.2-2.fc9 set to be updated
--> Processing Dependency: autogen for package: anjuta
--> Processing Dependency: libgladeui-1.so.7 for package: anjuta
--> Processing Dependency: libgdl-gnome-1.so.0 for package: anjuta
--> Processing Dependency: libgbf-widgets-1.so.1 for package: anjuta
--> Processing Dependency: libgraph.so.4 for package: anjuta
--> Processing Dependency: libgbf-1.so.1 for package: anjuta
--> Processing Dependency: glade3-libgladeui for package: anjuta
--> Processing Dependency: libgvc.so.4 for package: anjuta
--> Processing Dependency: libgdl-1.so.0 for package: anjuta
--> Running transaction check
---> Package autogen.i386 0:5.9.4-4.fc9 set to be updated
--> Processing Dependency: autogen-libopts = 5.9.4-4.fc9 for package: autogen
--> Processing Dependency: libopts.so.25 for package: autogen
---> Package glade3-libgladeui.i386 0:3.4.5-4.fc9 set to be updated
---> Package gnome-build.i386 0:0.2.4-1.fc9 set to be updated
--> Processing Dependency: perl(Locale::gettext) for package: gnome-build
---> Package graphviz.i386 0:2.16.1-0.5.0.140asp set to be updated
---> Package libgdl.i386 0:0.7.11-1.0.140asp set to be updated
--> Running transaction check
---> Package autogen-libopts.i386 0:5.9.4-4.fc9 set to be updated
---> Package perl-gettext.i386 0:1.05-13.0.140asp set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Арх. Версия Repository Size
================================================================================
Installing:
anjuta i386 1:2.4.2-2.fc9 updates-newkey 4.6 M
Installing for dependencies:
autogen i386 5.9.4-4.fc9 fedora 336 k
autogen-libopts i386 5.9.4-4.fc9 fedora 46 k
glade3-libgladeui i386 3.4.5-4.fc9 updates-newkey 367 k
gnome-build i386 0.2.4-1.fc9 fedora 298 k
graphviz i386 2.16.1-0.5.0.140asp asplinux 1.1 M
libgdl i386 0.7.11-1.0.140asp asplinux 225 k
perl-gettext i386 1.05-13.0.140asp asplinux 23 k

Transaction Summary
================================================================================
Install 8 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 7.0 M
Выполнить [y/N]:
Re: Установка Anjuta Нужен GTK+2 08.06.2009 11:54ekkl Скажите, а как заставить yum работать локально?
Пробовал менять файл yum.init.d делая ссылку на диск.
Но выводится ошибка: что в repomd.xml неполные ссылки (нет типа ftp. file http и т.д.)
yum localinstall тоже не может найти нужные пакеты.
Re: Установка Anjuta Нужен GTK+2 08.06.2009 12:35peter_ir ekkl Пишет:
-------------------------------------------------------
> Скажите, а как заставить yum работать локально?
> Пробовал менять файл yum.init.d делая ссылку на
> диск.
> Но выводится ошибка: что в repomd.xml неполные
> ссылки (нет типа ftp. file http и т.д.)
> yum localinstall тоже не может найти нужные
> пакеты.
Подключить диск как локальный репозитарий, т.е. в /etc/yum.repos.d
создать для него repo-файл по имеющимся там образцам.
baseurl должен быть полным путем к пакетам, точно сейчас не могу сказать.
Re: Установка Anjuta Нужен GTK+2 08.06.2009 12:54lg /etc/yum.repos.d/fedora-local.repo
[fedora-dvd]
name=fc8-dvd
baseurl=file:///home/storage/repo/fc8-dvd/
enabled = 1
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[fedora-localupd]
name=fc8-localupd
baseurl=file:///home/storage/repo/updates/
enabled = 1
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY

В каталогах /home/storage/repo/fc8-dvd/ и /home/storage/repo/updates/ с помощью createrepo созданы необходимые файлы
Re: Установка Anjuta Нужен GTK+2 08.06.2009 14:02ekkl Все. Проблему удалось решить. В названии ДВД диска были пробелы, и это pirut не понимал
baseurl=file:///media/ASPLinux 12 i386 DVD что-то типа такого...
Скопировал на ЖД и переименовал:Показывает язык
Re: Установка Anjuta Нужен GTK+2 08.06.2009 15:54msv2 ekkl Пишет:
-------------------------------------------------------
> Все. Проблему удалось решить. В названии ДВД диска
> были пробелы, и это pirut не понимал
> baseurl=file:///media/ASPLinux 12 i386 DVD что-то
> типа такого...
> Скопировал на ЖД и переименовал:Показывает язык


Это старая проблема с диском АСП 12. Действительно, создайте локальный обновляемый репозитарий и все будет ОК!
RSS-материал